/*****************************************************************
/
/ File   :   AdmHndlr.c
/ Author :   David Corcoran
/ Date   :   October 15, 1999
/ Purpose:   This handles administrative functions like reset/power.
/            See http://www.linuxnet.com for more information.
/ License:   See file LICENSE
/
******************************************************************/
#include <pcscdefines.h>
#include <LinuxDefines.h>
#include <AdmHndlr.h>
#include <serial.h>


ULONG Adm_SetWWT( ULONG ulWWT ) {
  IO_UpdateReturnBlock( ulWWT );
  return STATUS_SUCCESS;
}

ULONG Adm_TransmitICC( ULONG Lun, PUCHAR pucTxBuffer, ULONG ulTxLength, 
		       PUCHAR pucRxBuffer, PULONG pulRxLength ) {

  int rv;

  if ( ulTxLength > 0 ) {
    /* Transmit and receive */

    rv = IO_Write( pucTxBuffer, ulTxLength );

    if ( rv != TRUE ) {
      return STATUS_UNSUCCESSFUL;
    } 

    rv = IO_Read( *pulRxLength, pucRxBuffer );

    if ( rv != TRUE ) {
      return STATUS_UNSUCCESSFUL;
    } else {
      return STATUS_SUCCESS;
    }

  } else {
    /* No transmit just receive */

    rv = IO_Read( *pulRxLength, pucRxBuffer );

    if ( rv != TRUE ) {
      return STATUS_UNSUCCESSFUL;
    } else {
      return STATUS_SUCCESS;
    }
  }

}
