#ifndef serial_h
#define serial_h

/*
 *
 * NAME: David Corcoran <corcoran@linuxnet.com>
 *	-modified by jouni.rosenlof@pp.htv.fi(KPMG IRM Finland)
 *
 * DESCRIPTION:
 *      This provides Linux serial interface drivers.
 *
 *
 * LICENSE: See file LICENSE.
 *
 */

int
IO_InitializePort(	/* Initialize the card reader port.	*/
	int baud,	/* Baud rate to set port to		*/
	int bits,	/* Bytesize: 5, 6, 7 or 8		*/
	char par,	/* Parity: 'E' even, 'O' odd, 'N' none	*/
	char* port	/* Name of port, or (char *)0L for dialog */
);

int
IO_ReturnHandle(        /* Returns the current handle           */
	void
);

int 
IO_UpdateReturnBlock(   /* Returns the current blocking time    */
	int blocktime   /* The updated blocking time            */
);

int
IO_ReturnBaudRate(      /* Return the current baudrate          */
	void
);

int			/* True for sucess, false otherwise	*/
IO_FlushBuffer(		/* Flush buffer to card reader		*/
	void
);

int
IO_Read(		/* Read up to 256 bytes from the port	*/
	int readsize,   /* Number of bytes to read		*/
	unsigned char *response  /* Bytes read                           */
);	

int    
IO_Write(
	unsigned char *c, /* Bytes to be written          */
	int writesize     /* Size of buffer                        */
);

int			/* True for success, false otherwise */
IO_Close(			/* On a Mac, gotta close the port */
	void
);

#endif
